<?php
namespace nur\ref;

use nur\b\params\Parametrable;
use nur\b\params\Tparametrable;

/**
 * Class ref_parametrable: exemple d'implémentation de Parametrable.
 *
 * Les getters ne sont générés que si la propriété est nommée $ppKey
 *
 * --autogen-methods--
 */
class ref_parametrable extends Parametrable {
  use Tparametrable;

  const PARAMETRABLE_PARAMS_SCHEMA = [
    "name" => "?string",
    "active" => "bool",
  ];

  /** @var string */
  protected $ppName;

  /** @var bool */
  protected $ppActive;

  #############################################################################
  const _AUTOGEN_CONSTS = [
    "" => [self::class, "_AUTOGEN_CONSTS"],
  ];
  const _AUTOGEN_LITERALS = null;
  const _AUTOGEN_METHODS = null;
  const _AUTO_GETTERS = null;
  const _AUTO_SETTERS = null;
  #--autogen-dynamic--
}
